package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.service.AuthService;
import com.bwie.common.domain.UserLogin;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.auth.controller
 * @Datetime: 2024/1/3 9:23
 * @Filename: AuthController
 * @Description:
 */
@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;

    @Autowired
    private HttpServletRequest request;

    @PostMapping("/login")
    public Result login(@RequestBody UserLogin userLogin){

        log.info("功能名称:登录,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),userLogin);
        Result result = authService.login(userLogin);

        log.info("功能名称:登录,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));

        return result;
    }

    @GetMapping("/getInfo")
    public Result getInfo(){

        Result result = authService.getInfo();

        return result;
    }





}
