package com.bwie.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain.request
 * @Datetime: 2024/1/3 15:51
 * @Filename: ItemRequest
 * @Description:
 */
@Data
public class ItemRequest {


    /**
     * 名称
     */
    private String proName;
    /**
     * 项目客户方
     */
    private String proCustomer;
    /**
     * 项目立项时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proEstablish;
    /**
     * 项目开工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proStartTime;
    /**
     * 项目竣工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date proEndTime;

    /**
     * 项目负责人
     */
    private Integer userId;
    /**
     * 项目图片
     */
    private String pic;


}
