package com.bwie.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: zhx
 * @Package: com.bwie.common.domain.request
 * @Datetime: 2024/1/3 11:18
 * @Filename: ProRequest
 * @Description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProRequest {

    /**
     * 项目名称
     */
    private String proName = "";
    /**
     * 项目客户方
     */
    private String proCustomer;
     /**
     * 权限人
     */
    private Integer userId;

    /**
     * 项目立项时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;


    private Integer pageNum = 1;
    private Integer pageSize = 4;
}
