package com.bwie.consumer;

import com.bwie.common.utils.MsgUtil;
import com.bwie.mapper.ProMapper;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Exchange;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.lang.annotation.ElementType;

/**
 * @Author: zhx
 * @Package: com.bwie.consumer
 * @Datetime: 2024/1/3 18:01
 * @Filename: Consumer
 * @Description:
 */
@RabbitListener(queues = "queue")
@Component
public class Consumer {

    @Autowired
    private StringRedisTemplate redisTemplate;

    @Autowired
    private MsgUtil msgUtil;

    @Autowired
    private ProMapper proMapper;

    @RabbitHandler
    public void take(String mq, Channel channel, Message message) throws Exception {

        String messageId = message.getMessageProperties().getMessageId();
        long deliveryTag = message.getMessageProperties().getDeliveryTag();

        Long size = redisTemplate.opsForSet().size("key:2");
        try {
            if(size==1){
                System.out.println("重复消费");
                channel.basicReject(deliveryTag,false);
            }else {
  //发送短信或邮件信息：
                msgUtil.sendMsg("18581585981","1234");
                redisTemplate.opsForSet().add("key:2","ok");
                channel.basicAck(deliveryTag,false);
            }
        } catch (Exception e){
                if(deliveryTag==3L){
                    System.out.println("超过三次,退出队列");
                    channel.basicNack(deliveryTag,false,false);

                }
            System.out.println("消息发送失败，重新发送");
            channel.basicNack(deliveryTag,false,true);

        }
    }





}
