package com.bwie.controller;

import com.bwie.common.domain.Aop;
import com.bwie.common.domain.Pro;
import com.bwie.common.domain.request.ItemRequest;
import com.bwie.common.domain.request.ProRequest;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.service.ProService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.controller
 * @Datetime: 2024/1/3 11:14
 * @Filename: ProController
 * @Description:
 */
@RestController
@Log4j2
public class ProController {

    @Autowired
    private ProService proService;

    /**
     * 列表
     * @param proRequest
     * @return
     */
    @PostMapping("/list")
    public Result<PageResult<Pro>> list(@RequestBody ProRequest proRequest){

        Result<PageResult<Pro>> result = proService.list(proRequest);


        return result;
    }


    /**
     * 添加项目
     * @param itemRequest
     * @return
     */
    @PostMapping("/addItem")
    public Result addItem(@RequestBody ItemRequest itemRequest){

        Result result = proService.addItem(itemRequest);


        return result;
    }


    /**
     * 上传图片
     * @param file
     * @return
     */
    @PostMapping("/pic")
    public Result pic(@RequestParam("file") MultipartFile file){

        Result result = proService.pic(file);

        return result;
    }

    /**
     * 修改类型
     * @param pro
     * @return
     */
    @PostMapping("/updState")
    public Result updState(@RequestBody Pro pro){

        Result result = proService.updState(pro);

        return result;
    }
    @GetMapping("/findType/{proId}")
    public Result findType(@PathVariable Integer proId){

        Result result = proService.findType(proId);

        return result;
    }

    @GetMapping("/initialize")
    public void initialize(){

        proService.initialize();


    }

    @GetMapping("/updPlace/{proId}")
    public Result updPlace(@PathVariable Integer proId){

        Result result = proService.updPlace(proId);

        return result;
    }



}
