package com.bwie.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: zhx
 * @Package: com.bwie.system.controller
 * @Datetime: 2024/1/3 9:28
 * @Filename: UserController
 * @Description:
 */
@RestController
@Log4j2
public class UserController {

    @Autowired
    private UserService userService;

    @Autowired
    private HttpServletRequest request;

    /**
     * 根据用户名查找用户
     * @param userName
     * @return
     */
    @GetMapping("/findName/{userName}")
    public Result<User> findName(@PathVariable("userName") String userName){

        log.info("功能名称:根据用户名查找用户,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),userName);
        User user = userService.findName(userName);
        Result<User> result = Result.success(user);
        log.info("功能名称:根据用户名查找用户,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

}
