package com.bwie.sync;

import com.bwie.common.domain.Pro;
import com.bwie.mapper.ProMapper;
import com.bwie.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author: zhx
 * @Package: com.bwie.sync
 * @Datetime: 2024/1/3 18:47
 * @Filename: Sync
 * @Description:
 */
@Component
public class Sync {

    @Autowired
    private ProMapper proMapper;

    @Autowired
    private EsService esService;
//每10S需要对ES索引库进行一次增量操作

    @Scheduled(cron = "10 * * * * ?")
    public void BulkAll(){

        List<Pro> list = proMapper.findAll();

        esService.Bulk(list);

    }

}
